-- name: [CS] Sponge
-- description: Being a Sponge "fuke-ing" sucks..\nby 6b

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_SPONGE = smlua_model_util_get_id("sponge_geo")

local TEX_SPONGE_ICON = get_texture_info("texture_hud_char_luigi_head")

local TEXT_MOD_NAME = "Pepsiman !!"

local VOICETABLE_SPONGE = {
    [CHAR_SOUND_ATTACKED] = 'sponge_hurt2.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'sponge_groundpound.mp3',
    [CHAR_SOUND_HAHA] = 'sponge_ho.mp3',
    [CHAR_SOUND_HAHA_2] = 'rien.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'sponge_herewego.mp3',
    [CHAR_SOUND_HOOHOO] = {'sponge_hiya.mp3', 'sponge_hiya2.mp3'},
    [CHAR_SOUND_ON_FIRE] = 'sponge_hurtfire.mp3',
    [CHAR_SOUND_OOOF] = 'sponge_hurt2.mp3',
    [CHAR_SOUND_OOOF2] = 'sponge_hurt2.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'sponge_yo.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'sponge_jump_hep.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'sponge_jump.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'sponge_yoho2.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'nothing.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'sponge_fall.mp3',
    [CHAR_SOUND_WAH2] = 'sponge_jump_yah.mp3',
    [CHAR_SOUND_WHOA] = 'nothing.mp3',
    [CHAR_SOUND_YAHOO] = 'sponge_yahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'sponge_yoho.mp3',
    [CHAR_SOUND_YAH_WAH_HOO] = {'sponge_jump_hoo2.mp3', 'sponge_jump_hoo3.mp3', 'sponge_jump_hoo.mp3'},
    [CHAR_SOUND_OKEY_DOKEY] = 'nothing.mp3',
    [CHAR_SOUND_LETS_A_GO] = {'sponge_letsago.mp3', 'sponge_letsago2.mp3'},
    [CHAR_SOUND_DYING] = {'sponge_dead.mp3', 'sponge_ohno.mp3'},
    [CHAR_SOUND_DROWNING] = 'sponge_drowning.mp3',
    [CHAR_SOUND_EEUH] = 'sponge_cold.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'sponge_mamamia.mp3',
    [CHAR_SOUND_DOH] = 'sponge_snoring2.mp3',
    [CHAR_SOUND_HRMM] = 'sponge_snoring2.mp3',
    [CHAR_SOUND_PANTING] = {'sponge_cold.mp3', 'sponge_panting.mp3'},
    [CHAR_SOUND_UH] = 'sponge_snoring2.mp3',
}


if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Sponge", {"Orange is a lonely color.."}, "6b", {r = 255, g = 175, b = 51}, E_MODEL_SPONGE, CT_MARIO, TEX_SPONGE_ICON)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_SPONGE, VOICETABLE_SPONGE)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SPONGE then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SPONGE then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end